<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::ForceAdapter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1ForceAdapter.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1ForceAdapter-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::ForceAdapter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This acts as an adapter to allow a <a class="el" href="classOpenSim_1_1Force.html" title="This abstract class represents a force applied to bodies or generalized coordinates during a simulati...">Force</a> or <a class="el" href="classOpenSim_1_1Actuator.html" title="Base class for an actuator (e.g., a torque motor, muscle, ...) that requires a generic external input...">Actuator</a> to be used as a SimTK::Force.  
 <a href="classOpenSim_1_1ForceAdapter.html#details">More...</a></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::ForceAdapter:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1ForceAdapter.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a48b0606ccf7fb63d55eb57dd11182026"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ForceAdapter.html#a48b0606ccf7fb63d55eb57dd11182026">ForceAdapter</a> (const <a class="el" href="classOpenSim_1_1Force.html">Force</a> &amp;force)</td></tr>
<tr class="separator:a48b0606ccf7fb63d55eb57dd11182026"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fed58a8cd56f6dfbea63f7b9e6cb3ac"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ForceAdapter.html#a0fed58a8cd56f6dfbea63f7b9e6cb3ac">calcForce</a> (const SimTK::State &amp;state, SimTK::Vector_&lt; <a class="el" href="namespaceSimTK.html#a1d329505b61913c2732a25f6babdf634">SimTK::SpatialVec</a> &gt; &amp;bodyForces, SimTK::Vector_&lt; SimTK::Vec3 &gt; &amp;particleForces, SimTK::Vector &amp;mobilityForces) const override</td></tr>
<tr class="separator:a0fed58a8cd56f6dfbea63f7b9e6cb3ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad60e7df51fd122a211f7fc56d5f52733"><td class="memItemLeft" align="right" valign="top">SimTK::Real&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ForceAdapter.html#ad60e7df51fd122a211f7fc56d5f52733">calcPotentialEnergy</a> (const SimTK::State &amp;state) const override</td></tr>
<tr class="separator:ad60e7df51fd122a211f7fc56d5f52733"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f520529c42e08ae0e14d47a22c56878"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ForceAdapter.html#a0f520529c42e08ae0e14d47a22c56878">shouldBeParallelized</a> () const</td></tr>
<tr class="separator:a0f520529c42e08ae0e14d47a22c56878"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p>This acts as an adapter to allow a <a class="el" href="classOpenSim_1_1Force.html" title="This abstract class represents a force applied to bodies or generalized coordinates during a simulati...">Force</a> or <a class="el" href="classOpenSim_1_1Actuator.html" title="Base class for an actuator (e.g., a torque motor, muscle, ...) that requires a generic external input...">Actuator</a> to be used as a SimTK::Force. </p>
<dl class="section author"><dt>Authors</dt><dd>Peter Eastman </dd></dl>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a48b0606ccf7fb63d55eb57dd11182026"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48b0606ccf7fb63d55eb57dd11182026">&#9670;&nbsp;</a></span>ForceAdapter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::ForceAdapter::ForceAdapter </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1Force.html">Force</a> &amp;&#160;</td>
          <td class="paramname"><em>force</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0fed58a8cd56f6dfbea63f7b9e6cb3ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fed58a8cd56f6dfbea63f7b9e6cb3ac">&#9670;&nbsp;</a></span>calcForce()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::ForceAdapter::calcForce </td>
          <td>(</td>
          <td class="paramtype">const SimTK::State &amp;&#160;</td>
          <td class="paramname"><em>state</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SimTK::Vector_&lt; <a class="el" href="namespaceSimTK.html#a1d329505b61913c2732a25f6babdf634">SimTK::SpatialVec</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>bodyForces</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SimTK::Vector_&lt; SimTK::Vec3 &gt; &amp;&#160;</td>
          <td class="paramname"><em>particleForces</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SimTK::Vector &amp;&#160;</td>
          <td class="paramname"><em>mobilityForces</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad60e7df51fd122a211f7fc56d5f52733"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad60e7df51fd122a211f7fc56d5f52733">&#9670;&nbsp;</a></span>calcPotentialEnergy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SimTK::Real OpenSim::ForceAdapter::calcPotentialEnergy </td>
          <td>(</td>
          <td class="paramtype">const SimTK::State &amp;&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0f520529c42e08ae0e14d47a22c56878"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f520529c42e08ae0e14d47a22c56878">&#9670;&nbsp;</a></span>shouldBeParallelized()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OpenSim::ForceAdapter::shouldBeParallelized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Simulation/Model/ForceAdapter.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1ForceAdapter.html">ForceAdapter</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:44 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
